package com.chuanxia.mcp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chuanxia.mcp.bean.dto.DomainOperatorBindDto;
import com.chuanxia.mcp.bean.dto.OperatorQueryDto;
import com.chuanxia.mcp.bean.model.CdnOperator;
import com.chuanxia.mcp.bean.vo.Result;

public interface CdnOperatorService extends IService<CdnOperator> {
    Result saveOperator(CdnOperator operator);

    Result updateOperator(CdnOperator operator);

    Result bindCdn(DomainOperatorBindDto bindDto);

    Result listPage(OperatorQueryDto queryDto);
}
