package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author liyuntian
 */
@Data
@TableName("cdn_domain")
@ApiModel("cdn域名")
public class CdnDomain {
    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("域名")
    @TableField("domain")
    private String domain;
    @ApiModelProperty("厂商")
    @TableField("manufacturer")
    private String manufacturer;
    @ApiModelProperty("是否是默认域名")
    @TableField("default_domain")
    private Integer defaultDomain;
    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;
    @ApiModelProperty("修改时间")
    @TableField("update_time")
    private Date updateTime;
    @ApiModelProperty("创建人id")
    @TableField("create_by")
    private Integer createBy;
    @TableField(exist = false)
    @ApiModelProperty("创建人姓名")
    private String createName;
    @ApiModelProperty("修改人id")
    @TableField("update_by")
    private Integer updateBy;
    @ApiModelProperty("修改人姓名")
    @TableField(exist = false)
    private String updateName;

}
