package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "后台用户")
@TableName("system_user")
public class SystemUser implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    /**
     *
     */
    @ApiModelProperty(value = "用户名")
    @TableField("username")
    private String username;

    /**
     *
     */
    @ApiModelProperty(value = "密码")
    @TableField("password")
    private String password;

    /**
     *
     */
    @ApiModelProperty(value = "token")
    @TableField("token")
    private String token;

    @ApiModelProperty(value = "token有效期")
    @TableField("token_validity_time")
    private Date tokenValidityTime;

    @ApiModelProperty("真实姓名")
    @TableField("real_name")
    private String realName;


}
